Bug 1470964 - Provide a way to create gluster volumes for access via NFS or SMB
Provide a way to create gluster volumes for access via NFS or SMB
Status: NEW
Product: cockpit-ovirt
Classification: oVirt
Component: Gdeploy (Show other bugs)
0.10.7-0.0.20
Unspecified Unspecified
medium Severity medium
: ovirt-4.3.0
: ---
Assigned To: Gobinda Das
SATHEESARAN
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-14 03:17 EDT by Sahina Bose
Modified: 2017-09-28 05:36 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Gluster
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sabose: ovirt‑4.3?
sabose: planning_ack?
sabose: devel_ack?
sabose: testing_ack?


Attachments (Terms of Use)

  None (edit)
Description Sahina Bose 2017-07-14 03:17:01 EDT
Description of problem:

In the hyperconverged setup, there's increasing demand for the ability to run gluster volumes on the 3 node setup, that can be accessed via NFS or SMB. (These volumes will not be used as storage domains in oVirt)
The cockpit-gdeploy plugin should allow the user to create and configure volume for NFS or SMB access.

Version-Release number of selected component (if applicable):
4.1

How reproducible:
NA
Comment 1 Sahina Bose 2017-07-14 03:48:59 EDT
Sean, the volumes that are created for NFS/SMB access could be any volume type right? I mean not restricted to replica 3 - could be disperse / distributed
Comment 2 Sean Murphy 2017-09-22 10:09:51 EDT
(In reply to Sahina Bose from comment #1)
> Sean, the volumes that are created for NFS/SMB access could be any volume
> type right? I mean not restricted to replica 3 - could be disperse /
> distributed

Correct - the volume type should not be restricted.

Note You need to log in before you can comment on or make changes to this bug.